#ifndef __XILINX_UARTLITE_H
#define __XILINX_UARTLITE_H

#include "system_defs.h"

typedef struct {
    __IO uint32_t RX_FIFO;
    __IO uint32_t TX_FIFO;
    __IO uint32_t STAT;
    __IO uint32_t CTRL;
} xilinx_uartlite_t;

typedef struct {
    __IO xilinx_uartlite_t *instance;
} xilinx_uartlite_handle_t;

sys_ret_t xilinx_uartlite_init(xilinx_uartlite_handle_t *handle);
sys_ret_t xilinx_uartlite_send(xilinx_uartlite_handle_t *handle, uint8_t *data, uint32_t len);
sys_ret_t xilinx_uartlite_receive(xilinx_uartlite_handle_t *handle, uint8_t *data, uint32_t len);

#endif